﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DemoSample
{
    class ViewModel : ViewModelBase
    {   
        public ViewModel()
        {
            ScreenMenu = new ObservableCollection<GroupMenuModel>();
            SelectedScrrenItems = new object[]{};
            BindGroupData();
        }
        private ObservableCollection<GroupMenuModel> _ScreenMenu;
        public ObservableCollection<GroupMenuModel> ScreenMenu
        {
            get { return _ScreenMenu; }
            set { _ScreenMenu = value; OnPropertyChanged("ScreenMenu"); }
        }

        private object[] _SelectedScrrenItems;
        public object[] SelectedScrrenItems
        {
            get { return _SelectedScrrenItems; }
            set
            {
                if (_SelectedScrrenItems != value)
                {
                    _SelectedScrrenItems = value;
                    OnPropertyChanged("SelectedScrrenItems");
                }
            }
        } 

        public void BindGroupData()
        {
            List<string> item = new List<string>();
            item.Add("Orange");
            item.Add("Mango");

            var GroupData = item;
            foreach(var treeData in GroupData)
            {
                ScreenMenu.Add(new GroupMenuModel { Menu_Name = treeData, IsExpanded = true, IsSelected = true, Children = new ObservableCollection<GroupMenuModel>() { new GroupMenuModel() { Menu_Name = "ChildOf" + treeData } } });

            }
        }

       
        
           
        
    }
}
